/* created 1 Jul 2009 by Tom Igoe  */

void setup() {
  // nyissuk meg a soros portot
  Serial.begin(9600); 

  // 2-6 csatornák legyenek mind kimenetek
  for (int thisPin = 2; thisPin < 7; thisPin++) {
    pinMode(thisPin, OUTPUT); 
  }
}

void loop() {
  if (Serial.available() > 0) {
    int inByte = Serial.read();
    /*  ha él a soros kapcsolat, olvassuk ki a kapott byte értékét 
    és töltsük az inByte nevű változóba ASCII táblának megfelelően 
    a karakterek értékeit is használhatnánk pl. 'a' = 97, 'b' = 98 */

    switch (inByte) {
    case 'a': 
      // abban az esetben, ha az inByte egy ‘a’ karaktert tartalmaz   
      digitalWrite(2, HIGH); 
      // kapcsoljuk be a 2-es csatornára kötött LED-et
      break;
    case 'b':    
      digitalWrite(3, HIGH);
      break;
    case 'c':    
      digitalWrite(4, HIGH);
      break;
    case 'd':    
      digitalWrite(5, HIGH);
      break;
    case 'e':    
      digitalWrite(6, HIGH);
      break;
    default: 
      /*  a switch() feltétel egyik tulajdonsága, hogy egy alapállapotot
      is be tudunk állítani, ami akkor működik, ha semelyik másik feltétel
      nem áll fenn. Az alapállapotban most minden LED-et kikapcsolunk. */
      for (int thisPin = 2; thisPin < 7; thisPin++) {
        digitalWrite(thisPin, LOW);
      }
    } 
  }
}


